# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'consumerable/version'

Gem::Specification.new do |spec|
  spec.name          = 'consumerable'
  spec.version       = Consumerable::VERSION
  spec.authors       = ['Matt Beedle']
  spec.email         = ['mattbeedle@googlemail.com']
  spec.description   = %q{Quickly write API object mappers without having to re-invent the wheel}
  spec.summary       = %q{Quickly write API object mappers without having to re-invent the wheel}
  spec.homepage      = 'http://www.github.com/mattbeedle/consumerable'
  spec.license       = 'MIT'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'activemodel'
  spec.add_runtime_dependency 'activesupport'
  spec.add_runtime_dependency 'faraday'
  spec.add_runtime_dependency 'typhoeus'
  spec.add_runtime_dependency 'virtus'

  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec'
end
